Subject: Re: [CCAMP] Ready to be reviewed//Regarding YANG Doctor Review on draft-ietf-ccamp-layer0-types and draft-ietf-ccamp-layer1-types

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Fri, 13 Dec 2019 17:05:19 +0000

Hi Haomian, Daniele,

I’ve now provided review comments, which I think can probably mostly be addressed as part of the WG LC of these drafts.

I think that the key question that needs to be answered is on some of the identities that are representing numerical values, where using a enum or uint32|64 or decimal64 might be a better (and more efficient) approach.  Understanding more on how some of these are used might be helpful, and it may be that the other YANG doctors have thoughts on this.

After WG LC has completed, you may want to hold passing these documents on to the AD|IESG until some of the WG drafts that depend on these base type documents have also passed WG LC.  If there is anything in the types documents that needs to be fixed then it would be easier to do so.  In the general model documents, it is often instructive to generate YANG instance data that conforms to the model, e.g. an example configuration request.  Sometimes when validating this instance data, it can highlight areas of the model that are harder to use, or don’t work quite so well.

Thanks,
Rob

From: Zhenghaomian <[email-masked]>
Sent: 05 December 2019 09:49
To: Rob Wilton (rwilton) <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Ready to be reviewed//Regarding YANG Doctor Review on draft-ietf-ccamp-layer0-types and draft-ietf-ccamp-layer1-types

Hi, Robert,

As you may see on the list, the two document are now updated according to the outcome of Singapore. Now we believe they are ready for your review.

Thanks in advance.

Best wishes,
Haomian (on behalf of all authors & contributors)

发件人: Zhenghaomian
发送时间: 2019年11月18日 17:05
收件人: Robert Wilton <[email-masked]<mailto:[email-masked]>>
抄送: [email-masked]' <[email-masked]<mailto:[email-masked]>>; [email-masked]' <[email-masked]<mailto:[email-masked]>>
主题: Regarding YANG Doctor Review on draft-ietf-ccamp-layer0-types and draft-ietf-ccamp-layer1-types

Hi, Robert,

This is Haomian, the editor of two drafts in ccamp under your review as YANG doctor. During our offline discussion in Singapore there has been a few typos in the text that may confuse the reader so I am writing to share them.

-          We have been changing the grouping names in draft-ietf-ccamp-layer1-types from previous version, more specifically, “otn-label-restriction -> otn-label-range-info; otn-link-label -> otn-label-start-end; otn-path-label -> otn-label-hop”. However a few of them has not been done in section 4.3 so far, and this will be fixed in the next update.

-          Similar as above, there is a potential need to update the grouping names for draft-ietf-ccamp-layer0-types as well. This has been proposed to CCAMP WG and will be done after the discussion.

We don’t know if you start the review or not yet, our plan is to update the draft to integrate the findings in both offline discussion and WG session by the end of this week. So there would be less ambiguity. You can either wait for that version or review the current version and keep the above observations in mind.

Thank you very much.

Best wishes,
Haomian (on behalf of all authors & contributors)